# GenerateIdeaProject

API Documentation: | `GenerateIdeaProject`

Generates an IDEA project file for root project *only*. If you want to fine tune the idea configuration

At this moment nearly all configuration is done via `IdeaProject`.

### Properties

Property | Description
`ideaProject` | The Idea project model containing the details required to generate the project file.
`inputFile` | The input file to load the initial configuration from. Defaults to the output file. If the specified input file does not exist, this task uses some default initial configuration.
`outputFile` | output *.ipr file

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### `IdeaProject` `ideaProject`

The Idea project model containing the details required to generate the project file.

Default with `idea` plugin:
  `project.idea.project`

#### `File` `inputFile`

The input file to load the initial configuration from. Defaults to the output file. If the specified input file does not exist, this task uses some default initial configuration.

#### `File` `outputFile`

output *.ipr file

Default with `idea` plugin:
  ``${project.projectDir}`/`${project.name}`.ipr`